using System;

internal sealed class Delegate151 : MulticastDelegate
{
	public extern bool Invoke(object object_0);

	public static bool smethod_0(object object_0, Delegate151 delegate151_1)
	{
		return delegate151_1(object_0);
	}

	public extern Delegate151(object object_0, IntPtr intptr_0);

	static Delegate151()
	{
		Class10.smethod_13(typeof(Delegate151).TypeHandle);
	}

	internal static Delegate151 delegate151_0;
}
